# Uses of Class
org.eclipse.ecf.core.sharedobject.SharedObjectAddAbortException

Packages that use SharedObjectAddAbortException
Package
Description
org.eclipse.ecf.core.sharedobject

## Uses of SharedObjectAddAbortException in org.eclipse.ecf.core.sharedobject

Methods in org.eclipse.ecf.core.sharedobject that throw SharedObjectAddAbortException
Modifier and Type
Method
Description
`protected void`
TwoPhaseCommitEventProcessor.`doTMAbort(Throwable except)`
`protected void`
TwoPhaseCommitEventProcessor.`doTMCommit()`
`protected boolean`
TwoPhaseCommitEventProcessor.`isVotingCompleted()`
`protected void`
TwoPhaseCommitEventProcessor.`sendCommit()`
`void`
ISharedObjectContainerTransaction.`waitToCommit()`
Method called to wait for a transaction to complete.
`void`
TwoPhaseCommitEventProcessor.`waitToCommit()`